(in-package cl-user)
(defpackage optparser (:use :cl :asdf))
(in-package optparser)


(defsystem optparser
	:name "optparser"
	:author "Mike Kazantsev <mk.fraggod@gmail.com>"
	:version "1.1"
	:maintainer "Mike Kazantsev <mk.fraggod@gmail.com>"
	:licence "BSD"

	:components ((:file "src")))

(defmethod perform ((o test-op) (c (eql (find-system 'optparser))))
	(operate 'load-op 'optparser-tests)
	(operate 'test-op 'optparser-tests :force t))


(defsystem optparser-tests
	:depends-on (:ptester :optparser)
	:components ((:file "tests")))

(defmethod perform ((o test-op) (c (eql (find-system 'optparser-tests))))
	(or (funcall (intern (symbol-name ':do-tests)
		(find-package ':optparser-tests))) (error "test-op: epic failure")))
